Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbNumber

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbNumber

Direct Known Subclasses:
  DbBigInt, DbDecimal, DbDouble, DbInteger, DbReal, DbSmallInt, DbTinyInt

    public abstract class DbNumber

extends DbValue

Field Summary

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbNumber()`
`DbNumber(DbColDesc desc)`

Method Summary
`abstract byte` | `byteValue()`
`int` | `compare(DbNumber val)`
`abstract double` | `doubleValue()`
`abstract float` | `floatValue()`
`abstract int` | `intValue()`
`abstract long` | `longValue()`
`abstract void` | `setValue(DbNumber value)`
`void` | `setValue(DbValue v)`
`abstract short` | `shortValue()`

Methods inherited from class jet.connect.DbValue
`clone, compareTo, equals, equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, set, set, set, setColDesc, setfoo, setNull, setValue, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DbNumber

    public DbNumber()

### DbNumber

    public DbNumber(DbColDesc desc)

Method Detail

### compare

    public int compare(DbNumber val)

### setValue

    public abstract void setValue(DbNumber value)

### setValue

    public void setValue(DbValue v)

  Overrides:
    `setValue` in class `DbValue`

### byteValue

    public abstract byte byteValue()

### shortValue

    public abstract short shortValue()

### intValue

    public abstract int intValue()

### longValue

    public abstract long longValue()

### floatValue

    public abstract float floatValue()

### doubleValue

    public abstract double doubleValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD